# eric6.E5XML.UserProjectWriter

Module implementing the writer class for writing an XML user project properties file.

### Global Attributes

None

### Classes

UserProjectWriter | Class implementing the writer class for writing an XML user project properties file.

### Functions

None

## UserProjectWriter

Class implementing the writer class for writing an XML user project properties file.

### Derived from

XMLStreamWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

UserProjectWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### UserProjectWriter (Constructor)

UserProjectWriter(device, projectName)

Constructor

device
  reference to the I/O device to write to (QIODevice)
projectName
  name of the project (string)

#### UserProjectWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up